 
#!/bin/bash
#
#
#
export gcSysDevDob="230210-0030"   
#
export gcSysVerNbr="v.1.2  ${gcSysDevDob}"
#
##########################################################
export gcSysNowDts="`date +%y%m%d-%H%M-%S`"
##########################################################
export gcZeroRun="$0"	# ReStart
export gcSysLog="/mnt/home/CDW-Record.text"	
export gcSysLog="/CDW-Record.text"	
##########################################################
#!
lcSetCtrl=0	# flag down
    set +x	# disable
    set +e  # disable
### CDW #######################################################
##########################################################
##########################################################
#
##########################################################
#!
echo '
/* XPM */
static char *hash_xpm[] = {
"32 32 5 1",
" 	c None",
"1	c #FF0000",
"2	c #FFFFFF",
"3	c #B22222",
"4	c #708090",
"                                ",
"                                ",
"       111        111           ",
"       12133      12133         ",
"       121334     121334        ",
"       121334     121334        ",
"       121334     121334        ",
"       121334     121334        ",
"       121334     121334        ",
"       121334     121334        ",
" 11111112111111111121111111     ",
" 1222222222222222222222222133   ",
" 11111112111111111121111111334  ",
"   333312133333333121333333334  ",
"   333312133333333121333333334  ",
"    44412133444444121334444444  ",
"       12133      121334        ",
"       12133      121334        ",
" 11111112111111111121111111     ",
" 1222222222222222222222222133   ",
" 11111112111111111121111111334  ",
"   333312133333333121333333334  ",
"   333312133333333121333333334  ",
"    44412133444444121334444444  ",
"       121334     121334        ",
"       121334     121334        ",
"       121334     121334        ",
"       121334     121334        ",
"       111334     111334        ",
"        33334      33334        ",
"        33334      33334        ",
"                                "
};
' > /tmp/CDW-img-hash-red.xpm
##########################################################
##########################################################
#!
echo '<?xml version="1.0" encoding="UTF-8"?>
<svg xmlns="http://www.w3.org/2000/svg" version="1.1" height="100" width="100">
  <g 
style="fill:none; fill:#BB2222; stroke:#AE3333; stroke-width:12px; stroke-linecap:round; stroke-linejoin:round;">
    <path d="m 50,10 0,35"/>
    <path d="M 26,20 C -3,48 16,90 51,90 79,90 89,67 89,52 89,37 81,26 74,20"/>
  </g>
</svg>
' > /tmp/CDW-img-apple-redred.svg
#################################################################
#!
echo '<?xml version="1.0" encoding="UTF-8"?>
<svg xmlns="http://www.w3.org/2000/svg" version="1.1" height="100" width="100">
  <g 
style="fill:none; fill:#1111FF; stroke:#AE3333; stroke-width:12px; stroke-linecap:round; stroke-linejoin:round;">
    <path d="m 50,10 0,35"/>
    <path d="M 26,20 C -3,48 16,90 51,90 79,90 89,67 89,52 89,37 81,26 74,20"/>
  </g>
</svg>
' > /tmp/CDW-img-apple-redblu.svg
#################################################################
#!
echo '<?xml version="1.0" encoding="UTF-8"?>
<svg xmlns="http://www.w3.org/2000/svg" version="1.1" height="100" width="100">
  <g 
style="fill:none; fill:#F8F800; stroke:#AE3333; stroke-width:12px; stroke-linecap:round; stroke-linejoin:round;">
    <path d="m 50,10 0,35"/>
    <path d="M 26,20 C -3,48 16,90 51,90 79,90 89,67 89,52 89,37 81,26 74,20"/>
  </g>
</svg>
' > /tmp/CDW-img-apple-redyel.svg
#################################################################
#!
echo '<?xml version="1.0" encoding="UTF-8"?>
<svg xmlns="http://www.w3.org/2000/svg" version="1.1" height="100" width="100">
  <g 
style="fill:none; fill:#33DD33; stroke:#BE3333; stroke-width:12px; stroke-linecap:round; stroke-linejoin:round;">
    <path d="m 50,10 0,35"/>
    <path d="M 26,20 C -3,48 16,90 51,90 79,90 89,67 89,52 89,37 81,26 74,20"/>
  </g>
</svg>
' > /tmp/CDW-img-apple-redgrn.svg
#################################################################
#!
echo '<?xml version="1.0" encoding="UTF-8"?>
<svg xmlns="http://www.w3.org/2000/svg" version="1.1" height="100" width="100">
  <g style="fill:red;stroke:green;stroke-width:12px;stroke-linecap:round;stroke-linejoin:round;">
    <path d="m 31,31,31,31"/>
    <path d="M 26,20 C -3,48 16,90 51,90 79,90 89,67 89,52 89,37 81,26 74,20"/>
  </g>
</svg>
' > /tmp/CDW-img-jug-grnxred.svg
##############################################################
#!
echo '<?xml version="1.0" encoding="UTF-8"?>
<svg xmlns="http://www.w3.org/2000/svg" version="1.1" height="100" width="100">
  <g 
style="fill:yellow; stroke:red; stroke-width:12px; stroke-linecap:round; stroke-linejoin:round;">
    <path d="m 0"/>
    <path d="M 26,20 C -3,48 16,90 51,90 79,90 89,67 89,52 89,37 81,26 74,20"/>
  </g>
</svg>
' > /tmp/CDW-img-jug-redxyel.svg
##############################################################
#!
echo '<?xml version="1.0" encoding="UTF-8"?>
<svg xmlns="http://www.w3.org/2000/svg" version="1.1" height="100" width="100">
  <g 
style="fill:green; stroke:red; stroke-width:12px; stroke-linecap:round; stroke-linejoin:round;">
    <path d="m 0"/>
    <path d="M 26,20 C -3,48 16,90 51,90 79,90 89,67 89,52 89,37 81,26 74,20"/>
  </g>
</svg>
' > /tmp/CDW-img-jug-redxgrn.svg
##############################################################
#!
echo '<?xml version="1.0" encoding="UTF-8"?>
<svg xmlns="http://www.w3.org/2000/svg" version="1.1" height="100" width="100">
  <g 
style="fill:red; stroke:red; stroke-width:12px; stroke-linecap:round; stroke-linejoin:round;">
    <path d="m 0"/>
    <path d="M 26,20 C -3,48 16,90 51,90 79,90 89,67 89,52 89,37 81,26 74,20"/>
  </g>
</svg>
' > /tmp/CDW-img-jug-redxred.svg
#################################################################
#!
echo '<?xml version="1.0" encoding="UTF-8"?>
<svg xmlns="http://www.w3.org/2000/svg" version="1.1" height="100" width="100">
  <g style="fill:none;stroke:green;stroke-width:12px;stroke-linecap:round;stroke-linejoin:round;">
    <path d="m 50,10 0,35"/>
    <path d="M 26,20 C -3,48 16,90 51,90 79,90 89,67 89,52 89,37 81,26 74,20"/>
  </g>
</svg>
' > /tmp/CDW-img-quit-grnnnn.svg   ### QUIT ###
#!
echo '<?xml version="1.0" encoding="UTF-8"?>
<svg xmlns="http://www.w3.org/2000/svg" version="1.1" height="100" width="100">
  <g style="fill:none;stroke:yellow;stroke-width:12px;stroke-linecap:round;stroke-linejoin:round;">
    <path d="m 50,10 0,35"/>
    <path d="M 26,20 C -3,48 16,90 51,90 79,90 89,67 89,52 89,37 81,26 74,20"/>
  </g>
</svg>
' > /tmp/CDW-img-quit-yelnnn.svg   ### QUIT ###
#!
echo '<?xml version="1.0" encoding="UTF-8"?>
<svg xmlns="http://www.w3.org/2000/svg" version="1.1" height="100" width="100">
  <g style="fill:none;stroke:red;stroke-width:12px;stroke-linecap:round;stroke-linejoin:round;">
    <path d="m 50,10 0,35"/>
    <path d="M 26,20 C -3,48 16,90 51,90 79,90 89,67 89,52 89,37 81,26 74,20"/>
  </g>
</svg>
' > /tmp/CDW-img-quit-rednnn.svg   ### QUIT ###
##############################################################
#!
echo '<?xml version="1.0" encoding="UTF-8"?>
	<svg version="1.1" width="1000" height="1000">
	  <defs>
	    <linearGradient id="LG_01" x1="7" y1="80" x2="0" y2="0" gradientUnits="userSpaceOnUse">
	      <stop style="stop-color:blue;stop-opacity:1" offset="0" />
	    </linearGradient>
	  </defs>
	  <rect style="fill:url(#LG_01);fill-opacity:1;stroke-width:0" width="1000" height="1000"/>
	</svg>
' > /tmp/CDW-img-RectYelYel.svg   ### DEV ###
##############################################################
##############################################################
##########################################################
##########################################################
##########################################################
#!
lcMsgCMW="Close-Msg-Window"
msg_window_jug='
<window title="Msg-Window-Example">
	<frame>
        <text> 
			<label>This is a message text.</label> 
			<input file>""</input>
        </text>
		<hbox> 
			<button> <label>"'$lcMsgCMW'"</label> 
				<action function="closewindow">msg_window_jug</action> 
			</button> 
		</hbox>
	</frame>
	<variable>msg_window_jug</variable>
</window>'	
export msg_window_jug
#!
lcMsgNQW="Not_Quit_Window"
msg_not_quit_window='
<window title="">
	<frame>
 		<hbox> 
			<button visible="false" sensitive="true"> 
				<label>"."</label>
				<action function="closewindow">msg_not_quit_window</action> 
			</button> 
			<button visible="false" sensitive="false"> 
				<label>".."</label>
				<action function="closewindow">msg_not_quit_window</action> 
			</button> 
			<button visible="false" sensitive="true"> 
				<label>"..."</label>
				<action function="closewindow">msg_not_quit_window</action> 
			</button> 
		</hbox>
	</frame>
	<variable>msg_not_quit_window</variable>
</window>'	
export msg_not_quit_window
#!
msg_info_window='
<window title="msg_Info_window" window-position="center" >
	<frame>
<text height-request="20"><label>"...little EXIT <button> INFO..."</label></text>	
<text height-request="20"><label>"<button>---> visible='true'  sensitive='true' "</label></text>	
<text height-request="20"><label>"----- is Visible, is Functioning, normal Color. "</label></text>	
<text height-request="20"><label>"<button>---> visible='false'  sensitive='true' "</label></text>	
<text height-request="20"><label>"----- is Non-Visible, is Functioning, normal Color. "</label></text>	
<text height-request="20"><label>"<button>---> visible='true'  sensitive='false' "</label></text>	
<text height-request="20"><label>"----- is Visible, is Non-Functioning, is No-Color. "</label></text>	
	<text space-expand="false" space-fill="false">  <label>"..."</label>  </text> 
</frame>
	<variable>msg_info_window</variable>
</window>'	
export msg_info_window
#!
msg_double_click_window='
<window title="msg_double_click_window" window-position="center" >
	<frame>
        <text> 
			<label>You clicked a Double-Click "Set-Up" Button</label> 
        </text>
        <text> 
			<label>(1) the "Double-Click" function is active now ! .</label> 
        </text>
        <text> 
			<label>(2) Do Not Close this "Set-Up" window.</label> 
        </text>
        <text> 
			<label>(3) Click the "Big Quit" Button ---> NOW ! .</label> 
        </text>
		<hbox> 
			<button visible="true" sensitive="true" > 
				<label>"Click the Big QUIT button again !  "</label> 
				<height>48></height> <width>48</width>
				<input file>"/tmp/CDW-img-hash-red.xpm"</input>
				<action function="closewindow">msg_double_click_window</action> 
			</button> 
		</hbox>
	</frame>
	<variable>msg_double_click_window</variable>
</window>'	
export msg_double_click_window
###############################################
###############################################
#!
### maingui ##################################################
export CDXDIALOG='
<window title="CDW_DC_Double-Click-Example" 
default-height="200" 
default-width="300" 
space-expand="false" 
resizable="true" border-width="3"> 
<vbox border-width="3">
	<frame>   
		<text height-request="20"><label>"   ---- CDW Embedded Graphic Code -----"</label></text>	
		<text height-request="20"><label>"  ---- CDW Double-Click-Quit-Button -----"</label></text>	
		<text height-request="20"><label>"   --- Run via Xterm to trace action  ---"</label></text>	
		<text height-request="20"><label>" ------ version '${gcSysVerNbr}'  -------"</label></text>	
		<text space-expand="false" space-fill="false">  <label>"..."</label>  </text> 
		<hbox homogeneous="true">  
           <text space-expand="false" space-fill="false"> <label>"   "</label>  </text> 
            <button> 
                <height>12></height> <width>12</width>
                <input file>"'/tmp/CDW-img-jug-grnxred.svg'"</input>
                <label>"'1.Jug-message'"</label> 
                <action function="'launch'">msg_window_jug</action>
            </button>
            <button> 
                <height>22></height> <width>22</width>
                <input file>"'/tmp/CDW-img-jug-redxyel.svg'"</input>
                <label>"'2.Jug-message'"</label> 
                <action function="'launch'">msg_window_jug</action>
            </button>
            <button> 
                <height>33></height> <width>33</width>
                <input file>"'/tmp/CDW-img-jug-redxgrn.svg'"</input>
                <label>"'3.Jug-message'"</label> 
                <action function="'launch'">msg_window_jug</action>
            </button>
            <button> 
                <height>44></height> <width>44</width>
                <input file>"'/tmp/CDW-img-jug-redxred.svg'"</input>
                <label>"'4.Jug-message'"</label> 
                <action function="'launch'">msg_window_jug</action>
            </button>
           <text space-expand="false" space-fill="false">  <label>"                 "</label>  </text> 
        </hbox>
        <text space-expand="false" space-fill="false">  <label>"          "</label>  </text> 
 
        <text space-expand="false" space-fill="false">  <label>"          "</label>  </text> 
 
      <text space-expand="false" space-fill="false">  <label>" ... "</label>  </text> 
        <button> <width>25</width> <height>25</height>
               <input file>"'/tmp/CDW-img-quit-yelnnn.svg'"</input>
               <label>"---little-3x4-function-button--"</label> 
				<action function="'launch'">msg_not_quit_window</action>
				<action function="'launch'">msg_info_window</action>
				<action function="'closewindow'">msg_info_window</action> 
				<action function="'closewindow'">msg_not_quit_window</action>
        </button>
 
       <text space-expand="false" space-fill="false">  <label>" ... "</label>  </text> 
 			<button visible="true" sensitive="true" > 
                <input file>"'/tmp/CDW-img-quit-rednnn.svg'"</input>
                <label>"'Big-QUIT-Button'"</label>
                <action function="'launch'">msg_double_click_window</action>
                <action>EXIT:''</action>
			</button>
       <text space-expand="false" space-fill="false">  <label>" ... "</label>  </text> 
	</frame>
</vbox>
</window>'
  
gtkdialog --center -p CDXDIALOG
#######################
#
#######################
 
                #
### FALL-THRU ===>
### FALL-THRU ===>
### FALL-THRU ===>
### EXIT="guiQUIT"
#! function [EXIT:guiQUIT]  "guiQUIT" "QUIT" "" 
if [ "${EXIT}" = "" ] ; then
    n=0
lcMsgStr="\
<b><span foreground='"'green'"'>-----------------------------</span></b>
<b><span foreground='"'red'"'  >.----BIG---QUIT---'button'---</span></b>
<b><span foreground='"'green'"'>.        Double-Click        </span></b>
<b><span foreground='"'green'"'>.----------------------------</span></b>
.
. rc.z_CDW-DC.sh
. Example of generic gtkdialog application  
.  a Double-Click button method 
.
.  ${gcSysDevDob} " 
/usr/lib/gtkdialog/box_ok "Big_QUIT_Button" error "${lcMsgStr}"
    RETVAL=$?
	GTKPIDMAIN=$!
	sleep .3
	kill ${GTKPIDMAIN}
else
	echo "======= received: guiQUIT String =======" 
fi  # 
### end: if [ "${EXIT}" = "" ] ; then
###
   
